---
title: "Initiate DG correction"
url: "https://docs.signnow.com/docs/document-group/operations/post-v2-document-groups-document-group-id-invite-document-group-invite-id-correction"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/post-v2-document-groups-document-group-id-invite-document-group-invite-id-correction"
method: "POST"
path: "/v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction"
operation_id: "post-v2-document-groups-document-group-id-invite-document-group-invite-id-correction"
authorization: "bearer"
---

# Initiate DG correction

`POST /v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction`

This endpoint allows API users to put a document group invite into correction mode. After that, [complete the correction](/docs/document-group/operations/put-v2-document-groups-document-group-id-invite-document-group-invite-id-correction) to change the signers, documents, and invite settings.

A correction can be initiated after some recipients have already signed. When the correction starts:

* Invites in steps that are not yet completed are cancelled. Pending recipients cannot access the documents until the correction is completed.
* Completed steps and everything already signed are kept and locked.

**Notes**

* The invite must be in `pending` status.
* A document group cannot be corrected if:
    * the invite includes a guest signer who wasn't sent a short link, an approver, or an SMS invite,
    * the invite is embedded or includes email groups,
    * the document group was declined or is already in correction mode,
    * the document group contains multirole or conditional fields,
    * the document group is in a shared folder.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `dg_id` | string | Yes | ID of the document group. |
| `dg_invite_id` | string | Yes | ID of the document group invite. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "client_timestamp"
  ],
  "properties": {
    "client_timestamp": {
      "type": "integer",
      "description": "The timestamp of when the correction mode has been initiated.",
      "x-stoplight": {
        "id": "h5wjik7o8ikuv"
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "client_timestamp": 1720428823
}
```

## Responses

### 204

Success, no content

### 400

* Group has a guest signer who wasn't sent a short link.
* Group invite is not pending.
* Group invite is embedded.
* Document group is already in a correction state.
* Document group contains multirole fields.
* Field invites with email groups are present.
* Document group is in a shared folder.
* Document group has conditional fields.
* Group invite includes approvers.
* Group invite includes SMS invites.
* Document group is declined.
* `client_timestamp` is not an integer.
* `client_timestamp` is out of the allowed range.
* `client_timestamp` is null.

**Example** (`Email group issue`)

```json
{
  "errors": [
    {
      "code": 19066007,
      "message": "Field invites with emails groups are present"
    }
  ]
}
```

**Example** (`DG in shared folder`)

```json
{
  "errors": [
    {
      "code": 19066008,
      "message": "Cannot initiate correction for DG in the shared folder."
    }
  ]
}
```

**Example** (`DG in declined state`)

```json
{
  "errors": [
    {
      "code": 19066012,
      "message": "Do not allow initiate correction for document group in declined state"
    }
  ]
}
```

**Example** (`Embedded group invite`)

```json
{
  "errors": [
    {
      "code": 19066004,
      "message": "Invite should not be embedded"
    }
  ]
}
```

**Example** (`DG in correction state`)

```json
{
  "errors": [
    {
      "code": 19066005,
      "message": "Document Group is already in correction state"
    }
  ]
}
```

**Example** (`DG with multirole fields`)

```json
{
  "errors": [
    {
      "code": 19066006,
      "message": "Document Group contains multirole fields"
    }
  ]
}
```

**Example** (`Group has a guest signer`)

```json
{
  "errors": [
    {
      "code": 19066001,
      "message": "Could not initiate correction mode when guest signer present"
    }
  ]
}
```

**Example** (`Group invite not pending`)

```json
{
  "errors": [
    {
      "code": 19066003,
      "message": "Invite should be pending"
    }
  ]
}
```

**Example** (`client_timestamp is null`)

```json
{
  "errors": [
    {
      "code": 19070003,
      "message": "Client timestamp should not be null."
    }
  ]
}
```

**Example** (`DG with conditional fields`)

```json
{
  "errors": [
    {
      "code": 19066009,
      "message": "Document group should not have conditional fields."
    }
  ]
}
```

**Example** (`client_timestamp not integer`)

```json
{
  "errors": [
    {
      "code": 19070001,
      "message": "Client timestamp should be a integer."
    }
  ]
}
```

**Example** (`client_timestamp out of range`)

```json
{
  "errors": [
    {
      "code": 19070002,
      "message": "The client timestamp should be between 0 and 4294967295."
    }
  ]
}
```

**Example** (`Group invite includes approvers`)

```json
{
  "errors": [
    {
      "code": 19066010,
      "message": "Do not allow initiate correction with approvers"
    }
  ]
}
```

**Example** (`Group invite includes SMS invites`)

```json
{
  "errors": [
    {
      "code": 19066011,
      "message": "Do not allow initiate correction with invites with type sms"
    }
  ]
}
```

### 403

User is not a document group owner

**Example** (`User is not a document group owner`)

```json
{
  "errors": [
    {
      "code": 19001010,
      "message": "Current user is not document group owner."
    }
  ]
}
```

### 404

* Document group is not found.
* Document group invite is not found.

**Example** (`Invite not found`)

```json
{
  "errors": [
    {
      "code": 19002005,
      "message": "Document group invite `a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0` not found."
    }
  ]
}
```

**Example** (`Invite doesn't belong to this group`)

```json
{
  "errors": [
    {
      "code": 19001011,
      "message": "Document group `{uniqueId}` not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"client_timestamp": 1720428823}'
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/post-v2-document-groups-document-group-id-invite-document-group-invite-id-correction*
